code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash ECHO Compiling code3of9 ... PHP code3of9.php > font/code3of9.sfd ECHO Compiling code3of9-bold ... PHP code3of9-bold.php > font/code3of9-bold.sfd ECHO Done.
vinorodrigues/font-code3of9
build.sh
Shell
mit
170
#!/bin/bash --login [ -s "$HOME/.rvm/scripts/rvm" ] && . "$HOME/.rvm/scripts/rvm" HOST="localhost" echo -e "Killing remaining processes...\n" PID=$(ps -elf | grep -E "padrino|master_worker" | grep -v grep | awk '{ print $4; }') mapfile -t PIDS <<< "$PID" PID1=${PIDS[0]} PID2=${PIDS[1]} kill -kill $PID1 $PID2 echo -e...
dteixeira/PBSFinder
starter.sh
Shell
mit
537
#!/bin/sh # for lede x64 by fw867 export KSROOT=/koolshare source $KSROOT/scripts/base.sh alias echo_date='echo 【$(date +%Y年%m月%d日\ %X)】:' eval $(dbus export soft) TARGET_DIR=/tmp/upload clean(){ [ -n "$name" ] && rm -rf /tmp/$name >/dev/null 2>&1 [ -n "$MODULE_NAME" ] && rm -rf /tmp/$MODULE_NAME >/dev/null 2>&1 ...
koolshare/ledesoft
softcenter/softcenter/scripts/ks_tar_install.sh
Shell
mit
5,261
#!/bin/sh set -e mkdir -p "${CONFIGURATION_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}" RESOURCES_TO_COPY=${PODS_ROOT}/resources-to-copy-${TARGETNAME}.txt > "$RESOURCES_TO_COPY" XCASSET_FILES=() realpath() { DIRECTORY="$(cd "${1%/*}" && pwd)" FILENAME="${1##*/}" echo "$DIRECTORY/$FILENAME" } install_reso...
zdzdz/Signal-iOS
Signal/Pods/Target Support Files/Pods-Signal/Pods-Signal-resources.sh
Shell
mit
4,932
unset LDFLAGS #cp -r $RECIPE_DIR/src . #cd src $PYTHON setup.py install
ddale/hedm-conda-recipes
imaged11/build.sh
Shell
mit
74
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for USN-1845-1 # # Security announcement date: 2013-05-30 00:00:00 UTC # Script generation date: 2017-01-01 21:03:18 UTC # # Operating System: Ubuntu 12.04 LTS # Architecture: x86_64 # # Vulnerable packages fix on version: # - linux-image-3.5.0-32-generic:3.5.0-3...
Cyberwatch/cbw-security-fixes
Ubuntu_12.04_LTS/x86_64/2013/USN-1845-1.sh
Shell
mit
694
#!/bin/bash sudo apt-get update sudo apt-get install python-dev sudo apt-get install postgresql libpq-dev sudo apt-get install mysql-server libmysqlclient-dev sudo apt-get install python-pip sudo pip install viewmydb
OSU-CS419/viewmydb
install.sh
Shell
mit
218
#!/bin/bash set -e testcdir="$HOME/.test-c" mkdir -p "$testcdir" cd "$testcdir" function download() { curl -sk -H 'Cache-Control: no-cache' \ "https://raw.githubusercontent.com/kogosoftwarellc/test-c/master/$1?`date +%N`" \ | tee "$1" > /dev/null } function error() { echo "$1" >&2 } shafile=current-s...
kogosoftwarellc/test-c
install.bash
Shell
mit
1,634
#!/bin/bash PROJECT="wp-framework" PROJECT_NAME="WP Framework" DB_NAME="wpframework_site_dev" TABLE_PREFIX="wpframework_wp_" DESCRIPTION="The foundation for WordPress projects." HOSTNAME="$PROJECT-site" URL="$PROJECT.local" PRODUCTION_DOMAIN=""
taupecatstudios/wp-framework
scripts/variables.bash
Shell
mit
246
#!/bin/sh zig4 -r 04_abf_esf/04_abf_esf.dat 04_abf_esf/04_abf_esf.spp 04_abf_esf/04_abf_esf_out/04_abf_esf.txt 0 0 1 0 --grid-output-formats=compressed-tif --image-output-formats=png
VUEG/bdes_to
zsetup/bdes_to/04_abf_esf.sh
Shell
mit
183
#!/bin/sh # /usr/syno/etc/rc.d/S99synopoke.sh case "$1" in start|"") #start the monitoring daemon forever start --minUptime 60000 --spinSleepTime 10000 -m 100 \ --workingDir /root/ -l /root/forever.log -o /root/synopoke.log -e /root/synopoke.err -a \ /root/synopoke.js host port apiKey restartAft...
lon3w0lf/synopoke
deploy/S99synopoke.sh
Shell
mit
539
#!/bin/bash HASH="%C(bold yellow)%h%Creset" AUTHOR_DATE="%Cgreen%ad%Creset" # format respects --date= option AUTHOR="%Cblue%aN%Creset" REFS="%C(bold red)%d%Creset" SUBJECT="%s" FORMAT="$HASH}$AUTHOR_DATE}$AUTHOR}$REFS $SUBJECT" ANSI_MAGENTA='\033[35m' ANSI_RESET='\033[0m' function pretty_git_log { git log --d...
irliao/dotfiles
bin/scripts/git-helper.sh
Shell
mit
925
#!/bin/bash version=$1 echo read -p "Are you sure want to release version $version? (y/n)" -n 1 -r if [[ $REPLY =~ ^[Yy]$ ]] then echo echo "Releasing $version ..." # merge from dev branch git merge dev # stage all changes and commit git commit -am "v$version" # update npm version # commit also tagged h...
lempit/lempit
release.sh
Shell
mit
523
#!/bin/bash -e set -euo pipefail # # Replicate backdrop mongo db from a source host to a target host. # Useful to import data from the preview environment to the development # one. # if [ "$(hostname)" == "development-1" ]; then echo "This script should be run on the host machine, not your virtual machine!" ...
alphagov/backdrop
tools/replicate-db.sh
Shell
mit
2,080
#!/usr/bin/env bash make clean || : ./configure --prefix="$HOME" &>/dev/null make make install
BaxterStockman/bashlib
build.sh
Shell
mit
96
case foo in * ) echo bar & ;; esac
grncdr/js-shell-parse
tests/fixtures/shellcheck-tests/case-clause3/source.sh
Shell
mit
35
#!/bin/sh # Assumes standard config pattern (TODO doc) # Assumes running in deployment root # Requires PROJECT_NAME, CIRCLE_SHA1, APP_NAME env variables to be set. set -e ns=$1 cluster=$2 if [ -z "${ns}" ]; then echo "Namespace not specified" exit 1 fi if [ -z "${cluster}" ]; then echo "Cluster not specified"...
rangeadept/_ci-scripts
deploy.sh
Shell
mit
823
#!/bin/sh set +h # disable hashall shopt -s -o pipefail function build() { cat > /etc/fstab << "EOF" # Begin /etc/fstab # file system mount-point type options dump fsck # order # End /etc/fstab EOF echo "$FILE_SYSTEM / ...
PandaLinux/pandaOS
phase3/fstab/build.sh
Shell
mit
386
#!/usr/bin/env bash set -e while getopts "1" opt; do case $opt in 1) RUN_ONCE=1;; esac done shift "$((OPTIND-1))" if [ -e "/proc/cpuinfo" ]; then numprocs=$(grep processor /proc/cpuinfo | wc -l | xargs) elif [ "x$(uname)" = "xDarwin" ]; then numprocs=$(sysctl -n hw.ncpu) else numprocs=1 ...
vdloo/raptiformica
vendor/consul-kv/runtests.sh
Shell
mit
733
#!/bin/bash -x a1=fibfabprim1.sh ; source "$a1" ; if [ $? -ne 0 ] ; then echo "error" 1>&2 ; exit 1 ; fi case "$1" in fib) fib $2;; fac) fac $2;; prime) prime $2;; *) echo err;; esac
dimir2/hse12pi2-scripts
BorovkovaD/testlib1.sh
Shell
mit
183
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for CESA-2012:0533 # # Security announcement date: 2012-05-01 03:24:40 UTC # Script generation date: 2017-01-01 21:10:22 UTC # # Operating System: CentOS 5 # Architecture: x86_64 # # Vulnerable packages fix on version: # - samba3x-winbind.i386:3.5.10-0.109.el5_8 ...
Cyberwatch/cbw-security-fixes
CentOS_5/x86_64/2012/CESA-2012:0533.sh
Shell
mit
1,933
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for USN-1521-1 # # Security announcement date: 2012-07-31 00:00:00 UTC # Script generation date: 2017-01-01 21:02:48 UTC # # Operating System: Ubuntu 12.04 LTS # Architecture: i386 # # Vulnerable packages fix on version: # - icedtea-7-plugin:1.2-2ubuntu1.1 # - ...
Cyberwatch/cbw-security-fixes
Ubuntu_12.04_LTS/i386/2012/USN-1521-1.sh
Shell
mit
821
#!/usr/bin/env bash s=${IFS}; IFS=$'\n'; for i in $(find /Applications ${HOME}/Applications -mindepth 1 -maxdepth 2 -type d -name \*.app); do if [ -d "${i}/Contents/_MASReceipt" ]; then i="${i##/*/}"; i="${i%.app}"; printf "${i}\n"; fi; done; IFS=${s}; exit 0; # ListMASApps.sh # # Karl V. P. B. `kvpb` # +1 ...
kvpb/.files
bin/ListMASApps.sh
Shell
mit
503
source $(dirname $BASH_SOURCE)/../test_helper.sh testcase_show_list_in_local() { subject shvm list local assert_match 'X.0' "$stdout" assert_match 'X.1' "$stdout" assert_match 'Y.0' "$stdout" } testcase_show_curren_bash() { PATH="$SHVM_HOME/lib/bash-X.1/bin:$PATH" subject shvm list local assert_match '\* ...
ueokande/shvm
test/list/list_local_test.sh
Shell
mit
342
#!/bin/sh # CYBERWATCH SAS - 2016 # # Security fix for RHSA-2011:1109 # # Security announcement date: 2011-08-01 16:00:21 UTC # Script generation date: 2016-05-12 18:10:25 UTC # # Operating System: Red Hat 5 # Architecture: x86_64 # # Vulnerable packages fix on version: # - foomatic.x86_64:3.0.2-38.3.el5_7.1 # ...
Cyberwatch/cbw-security-fixes
Red_Hat_5/x86_64/2011/RHSA-2011:1109.sh
Shell
mit
770
# built thanks to # https://blog.bouzekri.net/2017-01-28-custom-bash-autocomplete-script _bxs() { COMPREPLY=() local word="${COMP_WORDS[COMP_CWORD]}" #echo "" #echo "COMP_WORDS : ${COMP_WORDS}" #echo "COMP_CWORD : ${COMP_CWORD}" #echo "COMP_WORDS[COMP_CWORD] : ${COMP_WORDS[COMP_CWORD]}" #echo "COMP_LIN...
jmettraux/bxs
src/bxs.bash
Shell
mit
577
#!/bin/bash if [ $MSYSTEM != "MINGW64" ]; then echo "You MUST launch MSYS2 using mingw64_shell.bat" echo "OR set the PROCESS environment variable: MSYSTEM , to 'MINGW64', prior launching mintty.exe" exit fi if [ ! -d LSW_64 ]; then mkdir LSW_64 fi cd LSW_64 if [ ! -d .git ]; then git clone -v --progress --conf...
MaverickTse/lsw-build2
bld_lsw_vps_64.sh
Shell
mit
584
#!/bin/bash -u set -e # # Copyright (c) 2012 Tresys Technology LLC, Columbia, Maryland, USA # # This software was developed by Tresys Technology LLC # with U.S. Government sponsorship. # # This library is free software; you can redistribute it and/or # modify it under the terms of the GNU Lesser General Public # Licen...
atomicturtle/t-stig
aqueduct-0.4/compliance/Bash/SSG/dev/xwindows_remote_listening.sh
Shell
mit
916
java -jar sortable_challenge.jar
Manoel/sortable_challenge
sortable_challenge.sh
Shell
mit
32
#!/bin/sh set -e ARG="" if test "$1" != "--do-it"; then ARG="--dry-run --allow-dirty" fi for dir in src/uucore/ src/uucore_procs/ src/uu/stdbuf/src/libstdbuf/; do ( cd "$dir" #shellcheck disable=SC2086 cargo publish $ARG ) sleep 2s done PROGS=$(ls -1d src/uu/*/) for p in $PROG...
uutils/coreutils
util/publish.sh
Shell
mit
468
#!/bin/bash # downloading D compiler echo "Downloading ldc2 1.26.0 D compiler" curl -fsS https://dlang.org/install.sh -o install.sh chmod +x install.sh DENV=$(./install.sh ldc-1.26.0 -p $PWD -a) # activating D compiler env . $DENV export LIBRARY_PATH="$PREFIX/lib:$LIBRARY_PATH" export LD_LIBRARY_PATH="$PREFIX/lib:$LD...
cokelaer/bioconda-recipes
recipes/nopilesum/build.sh
Shell
mit
689
#/bin/bash pip install virtualenv rm -rf venv/ virtualenv venv/ source venv/bin/activate pip install -r requirements.txt
Svolcano/python_exercise
dianhua/setup.sh
Shell
mit
121
#!/bin/bash /usr/games/cowsay -f beavis.zen "I'm BATMAN!" cat /etc/skel/.bashrc >> $HOME/.bashrc cat << EOF >> $HOME/.bashrc set_prompt () { Last_Command=\$? # Must come first! Blue='\[\e[01;34m\]' Red='\[\e[01;31m\]' Green='\[\e[01;32m\]' Reset='\[\e[00m\]' FancyX='\342\234\227' Checkmar...
lagner/docker-basement
entrypoint.sh
Shell
mit
613
singularity build --disable-cache encode-atacseq.v1.10.0.simg docker://encodedcc/atac-seq-pipeline:v1.10.0
shengqh/cqsperl
singularity/build_encode_atacseq.sh
Shell
mit
108
saludar() { echo $1 } saludar "Hola pepito!"
Javioh/prueba-github
pepito.sh
Shell
mit
51
echo -n "Enter the name of the file to decrypt WITHOUT the extension > " read inputfile echo -n "Enter the name of the decrypted file WITHOUT the extension > " read outputfile java -Dfile.encoding=UTF-8 -jar Defi_crypto.jar -dec $inputfile $outputfile
Streght/Defi-cryptographie
Starting scripts/Decrypt.sh
Shell
mit
251
#!/bin/sh #Used to automatically run migrations if necessary for a jenkins continuous integration setup cd /home/moneyfactor/.jenkins/jobs/moneyfactor/workspace/main/ MODIFIED_FILES=$(find ./ -mmin -5) for mf in $MODIFIED_FILES do if [ $mf == './models.py' ]; then cd .. echo "" echo "### models.py has ...
jessenieminen/random_scripts
run_db_migrations.sh
Shell
mit
551
#!/bin/bash #use Samtools picard=/seq/software/picard/current/bin/picard.jar outdir=/humgen/gsa-hpprojects/dev/hogstrom/depth_by_read_group bamdir=/seq/picard_aggregation/G76270/NA12878/current/ #wgs #bamdir=/seq/picard_aggregation/D5227/NexPond-376014/current #nexome ### # use bed file to specify chromosome ### #...
lhogstrom/ThornsInRoses
dsde/read_grp_mark_dup.sh
Shell
mit
1,186
#!/bin/sh . etc/init echo "Installing Mail.ru Cloud..."; echo EMAIL="" PASSWORD="" # Linux client url URL="https://desktopcloud.cdnmail.ru/linux/i386/cloud" if [ `getconf LONG_BIT` = "64" ] ; then URL="https://desktopcloud.cdnmail.ru/linux/amd64/cloud" fi # Read email while [ -z "$EMAIL" ]; do read -p "Emai...
Anonym-tsk/mailru-cloud
install.sh
Shell
mit
1,909
# Nodejs Patch for Ubuntu sudo ln -s /usr/bin/nodejs /usr/bin/node # Download Agent Installer npm install -g vsoagent-installer sudo chown $USER -R ~/.npm # Make Install Directory for Agent mkdir ~/vsoagent cd ~/vsoagent # Install Latest Agent vsoagent-installer sudo chown $USER -R ~/vsoagent # Configure Agent # $...
SyntaxC4-MSFT/VSTS-PHPAgent
scripts/install-agent.sh
Shell
mit
526
#!/bin/bash echo "Installing JDK8..." sudo add-apt-repository -y ppa:webupd8team/java sudo apt-get update echo "oracle-java8-installer shared/accepted-oracle-license-v1-1 select true" | sudo debconf-set-selections sudo apt-get install -y oracle-java8-installer echo "JDK8 installation complete."
codyhowarth/linux-bootstrap
install_java.sh
Shell
mit
297
#!/usr/bin/env bash #set -x set -e set -o pipefail set -u bin=$(cd $(dirname "$0") > /dev/null; pwd) export PATH=$PATH:/usr/local/go/bin export PROJECT_DIR=/src/projects export GOBIN=${PROJECT_DIR}/bin export GOPATH=${PROJECT_DIR}/src setup_kernel() { sudo grubby --args="user_namespace.enable=1" --update-kernel $...
dcapwell/container-playground
vagrant/boostrap.sh
Shell
mit
2,951
#!/usr/bin/env sh # # Read unread feeds. # # Author: Alastair Hughes # Contact: hobbitalastair at yandex dot com [ -z "${FEED_DIR}" ] && FEED_DIR="${XDG_CONFIG_DIR:-${HOME}/.config}/feeds/" export PATH="${PATH}:$(dirname "$0")" if [ ! -d "${FEED_DIR}" ]; then printf "%s: feed dir '%s' does not exist\n" "$0" "$...
hobbitalastair/feedutils
feed-read.sh
Shell
mit
2,943
cabal2nix --shell `pwd` > shell.nix nix-shell -I ~ --command 'cabal configure'
silky/pp
reconfig.sh
Shell
mit
79
#!/bin/bash -x # # Generated - do not edit! # # Macros TOP=`pwd` CND_CONF=default CND_DISTDIR=dist TMPDIR=build/${CND_CONF}/${IMAGE_TYPE}/tmp-packaging TMPDIRNAME=tmp-packaging OUTPUT_PATH=dist/${CND_CONF}/${IMAGE_TYPE}/20182_c_servomonISR.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX} OUTPUT_BASENAME=20182_c_servomonISR.X.${IMAGE...
tocache/picomones
UPC Microcontroladores 2018-2/Semana 11/20182_c_servomonISR.X/nbproject/Package-default.bash
Shell
cc0-1.0
1,433
#!/bin/bash -e ROOTFS=android_rootfs.bin ANDROID=android_sd.tar.gz PROJECT=mt6572_fpga if [ "$1" != "" ]; then PROJECT=$1 fi PROJECT_FOLDER=out/target/product/$PROJECT/ echo "populate root folder" if [ "$PROJECT" = "mt6572_fpga" ]; then # cp init scripts into root folder cp mediatek/config/$PROJECT/pwr_mn...
CryToCry96/android_kernel_mt6572
mediatek/build/tools/mk_sdimg_fpga.sh
Shell
gpl-2.0
3,553
#! /bin/sh # Copyright (C) 2010-2017 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
Starlink/automake
t/remake-makefile-intree.sh
Shell
gpl-2.0
4,011
#! /bin/sh # # Linux Additions kernel module init script ($Revision: 108947 $) # # # Copyright (C) 2006-2012 Oracle Corporation # # This file is part of VirtualBox Open Source Edition (OSE), as # available from http://www.virtualbox.org. This file is free software; # you can redistribute it and/or modify it under the ...
miguelinux/vbox
src/VBox/Additions/linux/installer/vboxadd.sh
Shell
gpl-2.0
17,750
#!/bin/sh # -------------------------------------------------------------------------- # buildscript for osx # -------------------------------------------------------------------------- # Processing Library for the Dynamixel Servo # http://code.google.com/p/simple-dynamixel # -------------------------------------------...
rmoncrief/simple-dynamixel
installOsx.sh
Shell
gpl-2.0
944
#!/usr/bin/bash BRANCH=${BRANCH:-master} DISTRO=$(rpm --eval '%{dist}'|cut -d. -f2) NEWISO=${1:-$(realpath .)/ovirt-node-ng-installer-${VERSION}-$(date +%Y%m%d%H).${DISTRO}.iso} BOOTISO=${BOOTISO:-boot.iso} SQUASHFS=${SQUASHFS:-ovirt-node-ng-image.squashfs.img} PRODUCTIMG=${PRODUCTIMG:-product.img} DERVICEBOOTISOSCRIP...
oVirt/ovirt-node-ng
scripts/create-nightly-boot-iso.sh
Shell
gpl-2.0
1,425
#!/bin/bash ################################################################################## ## Bashish, a console theme engine ## Copyright (C) 2010 Thomas Eriksson ## ## This program is free software; you can redistribute it and/or ## modify it under the terms of the GNU General Public License ## as published by th...
arnognulf/bashish
data/themes/ascii-art/spiffydeb/prompt.sh
Shell
gpl-2.0
2,973
#!/bin/bash read -s -p "Ansible vault password:" password echo $password > .vault_pass "$@" rm -f .vault_pass
kalilsn/buildcoffee-theme
trellis/bin/add-vault-pass.sh
Shell
gpl-2.0
111
#!/bin/bash -x exec /opt/calibre/calibre --with-library /calibre-library --no-update-check
keitwb/calibre-docker
gui/scripts/run-calibre.sh
Shell
gpl-2.0
92
#!/bin/sh # # Copyright (C) 2011, 2012 Internet Systems Consortium, Inc. ("ISC") # # Permission to use, copy, modify, and/or distribute this software for any # purpose with or without fee is hereby granted, provided that the above # copyright notice and this permission notice appear in all copies. # # THE SOFTWARE IS ...
phra/802_21
myODTONE/app/dhcp_usr/libs/bind/bind-9.8.4-P1/bin/tests/system/checkconf/clean.sh
Shell
gpl-2.0
894
#!/bin/bash #********************************************************************** # Copyright (C) 2021 - The Geeqie Team # # Author: Colin Clark # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundati...
BestImageViewer/geeqie
doc/create-shortcuts-xml.sh
Shell
gpl-2.0
4,972
#!/bin/csh #PBS -l nodes=1:ppn=15 # nodes must be 1, will fail if it is not # ppn must be a multiple of 15, because Greenfield processors each contain 15 cores #PBS -l walltime=5:00 # Combine standard output and error into one file #PBS -j oe #PBS -q batch cd $HOME/Homework4/BFS_fast #run my executable setenv OMP_NU...
JJGO/Parallel-Computing
4 Homework 4/test/BFS_fast/p1.sh
Shell
gpl-2.0
349
#!/bin/sh # Run this to generate all the initial makefiles, etc. srcdir=`dirname $0` test -z "$srcdir" && srcdir=. PKG_NAME="Gnome Games" (test -f $srcdir/configure.in \ && test -d $srcdir/gnomine \ && test -d $srcdir/swell-foop) || { echo -n "**Error**: Directory \"\`$srcdir\'\" does not look like the" ...
bmillemathias/gnome-games
autogen.sh
Shell
gpl-2.0
683
#!/bin/bash # Only strings with domain specified are extracted (use Xt args of keyword param to set number of args needed) xgettext *.php */*.php --copyright-holder='MoreTicket Development Team' --package-name='GLPI - MoreTicket plugin' -o locales/glpi.pot -L PHP --add-comments=TRANS --from-code=UTF-8 --force-po \ ...
InfotelGLPI/moreticket
tools/extract_template.sh
Shell
gpl-2.0
490
./init.sh ./cs.sh 10 ./cache-strategy.sh 50000-10-200-1.0 ./cs.sh 25 ./cache-strategy.sh 50000-25-200-1.0 #./cs.sh 40 #./cache-strategy.sh 50000-40-200-1.0 ./cs.sh 55 ./cache-strategy.sh 50000-55-200-1.0 ./cs.sh 70 ./cache-strategy.sh 50000-70-200-1.0 ./cs.sh 85 ./cache-strategy.sh 50000-85-200-1.0 ./cs.sh 100 ....
moonbeamxp/ns-3
scenario/Cache Policy LCU/run2.sh
Shell
gpl-2.0
357
#!/bin/bash echo '(c) by Tobias Schramm 2014' ROOTUID=0 if [ "$UID" -ne "$ROOTUID" ] then echo You must be root to execute this script. exit fi mount / -o remount,rw
TobleMiner/mkro
src/mountrw.sh
Shell
gpl-2.0
174
#!/bin/sh if [[ $1 == "rw" ]]; then svn checkout https://seaos-apps.googlecode.com/svn/trunk/ apps --username $2 svn checkout https://seaos-kernel.googlecode.com/svn/trunk/ system --username $2 else svn checkout http://seaos-apps.googlecode.com/svn/trunk/ apps svn checkout http://seaos-kernel.googlecode.com/svn/tr...
berkus/seaos-os
tools/update_repos.sh
Shell
gpl-2.0
396
#!/system/bin/sh # Copyright (c) 2012, The Linux Foundation. All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are # met: # * Redistributions of source code must retain the above copyright # notice, ...
Senthil360/android_kernel_samsung_trlte
imgtools/Boot/ramdisk/init.qcom.usb.sh
Shell
gpl-2.0
9,390
#!/bin/sh # travelmate, a wlan connection manager for travel router # written by Dirk Brenken (dev@brenken.org) # This is free software, licensed under the GNU General Public License v3. # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licen...
danielg4/packages
net/travelmate/files/travelmate.sh
Shell
gpl-2.0
18,940
# Openstack icehouse installation script on ubuntu 14.04 # by kasidit chanchio # vasabilab, dept of computer science, # Thammasat University, Thailand # # Copyright 2014 Kasidit Chanchio # # this script or commands below should be called # prior to openstack installation # #!/bin/bash # cd $HOME/OPSInstaller/contro...
kasidit/openstack-mitaka-installer
documents/OPSInstaller.example/controller/exe-stage00-SUDO-update.sh
Shell
gpl-2.0
1,000
#!/bin/bash rm result.txt let "i = $2" while [ $i -le $3 ] do echo "Test $i" >> result.txt ./$1 < test_$i.txt >> result.txt let "i++" done
dxs/EPFL
ba-2/tp/serieSpeciale/test_projet.sh
Shell
gpl-2.0
151
#!/bin/bash -e # $lic$ # # Copyright (C) 2014 by Adria Armejach <adria.armejach@bsc.es> # # This file is part of zsim. # # zsim is free software; you can redistribute it and/or modify it under the # terms of the GNU General Public License as published by the Free Software # Foundation, version 2. # # If you use this s...
AXLEproject/axle-zsim-nvmain
install.sh
Shell
gpl-2.0
2,657
# # Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # # This code is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License version 2 only, as # published by the Free Software Foundation. # #...
TheTypoMaster/Scaper
openjdk/jdk/test/java/lang/Class/getEnclosingClass/make_src.sh
Shell
gpl-2.0
1,630
#!/bin/bash configfile='/root/.backup_config/backup' configfile_secured='/tmp/backup' if egrep -q -v '^#|^[^ ]*=[^;]*' "$configfile"; then echo "Config file is unclean, cleaning it..." >&2 egrep '^#|^[^ ]*=[^;&]*' "$configfile" > "$configfile_secured" configfile="$configfile_secured" fi source "$configfile" _m...
muhilvannan/linux-backup-scripts
s3-db-monthly-backup.sh
Shell
gpl-2.0
1,155
./ds2_create_orders 1 1000 jan S 1 0 10000 20000 & ./ds2_create_orders 1001 2000 feb S 2 0 10000 20000 & ./ds2_create_orders 2001 3000 mar S 3 0 10000 20000 & ./ds2_create_orders 3001 4000 apr S 4 0 10000 20000 & ./ds2_create_orders 4001 5000 may S 5 0 10000 20000 & ./ds2_create_orders 5001 6000 jun...
maq123/ds2
data_files/orders/ds2_create_orders_small.sh
Shell
gpl-2.0
684
# Determine if a given program is in the PATH. have_tool() { tool=$1 result=1 SAVE_IFS=$IFS IFS=: for dir in $PATH; do if [ -e $dir/$tool ]; then #echo $dir/$tool result=0 break fi done IFS=$SAVE_IFS return $result } error_exit() {...
jeff-1amstudios/restful-doom
chocpkg/chocpkg/chocpkg_functions.sh
Shell
gpl-2.0
701
#!/bin/bash cd ${HOME}/mod [ -e modules ] && mv modules{,-backup} mv modules{-alpha,} trap "mv modules{,-alpha} ; [ -e modules-backup ] && mv modules{-backup,}" EXIT date -I > modules/version.txt ${REPO_ROOT}/HIP-tools/installer/main.py --in-place "$@"
zijistark/ck2utils
esc/hipinstall.sh
Shell
gpl-2.0
253
#!/bin/sh ./create_pdf.sh cp ../DD.pdf ../../Deliveries
sweng2/sweng2
DD/src/create_deliveries.sh
Shell
gpl-2.0
56
#!/usr/bin/env sh export LC_ALL=C umask 022 Echo() { printf '%s\n' "${*}" } Die() { s=${?} Echo "${1}" >&2 exit ${2:-${s}} } ExecDie() { Echo "# ${*}" "${@}" || Die "${*} returned ${?}" } ExecWarn() { Echo "# ${*}" "${@}" || Echo "warning: ${*} returned ${?}" } Usage() { Echo "Usage: ${0} commit [--amend...
BackupTheBerlios/eix
contrib/git.sh
Shell
gpl-2.0
758
#!/bin/sh ### # #%L # BSD implementations of Bio-Formats readers and writers # %% # Copyright (C) 2005 - 2016 Open Microscopy Environment: # - Board of Regents of the University of Wisconsin-Madison # - Glencoe Software, Inc. # - University of Dundee # %% # Redistribution and use in source and binary forms, with...
imunro/bioformats
components/formats-bsd/cppwrap/build.sh
Shell
gpl-2.0
1,868
#! /bin/sh # I don't know why ruby 2 doesn't work right. I get an error in fork and popen # when I already close stdout, but if I don't then the subshell hangs. ruby=/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby cd `dirname $0`/.. export PATH="$PATH:bin" msg=$($ruby -Ilib bin/creme "$@" || echo fa...
fugalh/creme
Crème Rappel.app/Contents/Resources/bin/creme.sh
Shell
gpl-2.0
405
#!/bin/bash # Seedbuntu Tools # URL: https://github.com/gtwy/Seedbuntu set -e ### "Jumpto for Bash" Courtesy https://bobcopeland.com/blog/2012/10/goto-in-bash/ function jumpto { label=$1 cmd=$(sed -n "/$label:/{:a;n;p;ba};" "$0" | grep -v ':$') eval "$cmd" exit } start=${1:-"start"} jumpto "$start" ###...
gtwy/Seedbuntu
tools.sh
Shell
gpl-3.0
590
#!/bin/sh docker run --rm nginx-d8 nginx -v
jianyingdeshitou/docker-debian8
nginx-d8/test/version.sh
Shell
gpl-3.0
45
#!/bin/sh echo "https://support.apple.com/en-us/HT204434" echo "Hit Control+F7"
ab/mac-wart-removal
keyboard-navigation.sh
Shell
gpl-3.0
81
#!/bin/bash NEWGOV=performance BASE=/sys/devices/system/cpu END=cpufreq/scaling_governor printhelp() { echo "Usage: " echo "" echo "#./setgovernors.sh [-p|-o|-u|-c|-s]" echo "" echo "-p: performance" echo "-o: ondemand" echo "-u: userspace" echo "-c: conservative" echo "-s: powersave" } if [ $# -g...
generoso/utils
scripts/setgovernors.sh
Shell
gpl-3.0
884
#! /usr/bin/env bash set -x set -e testdir=$(mktemp -d -t pijul-test.XXXXXXXXXX) test ! -z $testdir cd $testdir mkdir a cd a $pijul init echo saluton > file_to_record echo malbonaĵo >> file_to_record echo ĉi tie >> file_to_record $pijul add file_to_record $pijul record cd .. $pijul get a b cd a echo saluton > file_...
8l/pijul
tests/linedel.sh
Shell
gpl-3.0
530
#! /bin/bash source testfunctions.sh FASTPM="`dirname $0`/../src/fastpm -T 1" log=`mktemp` assert_success "mpirun -n 4 $FASTPM nbodykit-wCDM.lua > $log" echo "---- Validating the log output -------" assert_file_contains $log 'Writing 1918 objects.' assert_file_contains $log 'Writing 1506 objects.' assert_file_conta...
rainwoodman/fastPM
tests/run-test-nbodykit-wCDM.sh
Shell
gpl-3.0
421
#!/bin/bash while read p; do ./migrate.py $p done < projects.txt
dctremblay/Project-Rescue
batch.sh
Shell
gpl-3.0
68
#!/bin/bash set -e pegasus_lite_version_major="4" pegasus_lite_version_minor="7" pegasus_lite_version_patch="0" pegasus_lite_enforce_strict_wp_check="true" pegasus_lite_version_allow_wp_auto_download="true" . pegasus-lite-common.sh pegasus_lite_init # cleanup in case of failures trap pegasus_lite_signal_int INT trap...
elainenaomi/sciwonc-dataflow-examples
dissertation2017/Experiment 1B/logs/w-11-B/20161130T163128+0000/00/00/calculateratio_7_ID0000022.sh
Shell
gpl-3.0
1,252
#!/usr/bin/env bash ############################################################################### ### Startup-script ### Copyright 2012 Thomas Järvstrand <tjarvstrand@gmail.com> ### ### This file is part of EDTS. ### ### EDTS is free software: you can redistribute it and/or modify ### it under the terms of the GNU G...
liuhongchao/edts-rte
start.sh
Shell
gpl-3.0
1,164
DAY="$1" if [ "$DAY" == "" ]; then echo "The command format is: $0 2016-01-23" exit fi ./get_image.sh ./dl_ad.sh $DAY ./dl_ba.sh $DAY ./dl_lt.sh $DAY
nelsonchung/dl_studioclassroom_radio
downloadradio_by_day.sh
Shell
gpl-3.0
161
#!/bin/bash #1i . /opt/ownsec/ITSEC-Install-Scripts-ORIG/001.functions/all-scripts.sh GITREPO=https://github.com/airtrack/stunnel.git BRANCH=master GITREPOROOT=/opt/ITSEC/8.Tunnel/stunnel/airtrack/stunnel GITCLONEDIR=/opt/ITSEC/8.Tunnel/stunnel/airtrack DSKTPFLS=/opt/ownsec/ITSEC-Install-Scripts-ORIG/8.Tunnell/stunne...
alphaaurigae/ITSEC-Install-Scripts
ITSEC-Install-Scripts-ORIG/8.Tunnel/stunnel/#stunnel-install.sh
Shell
gpl-3.0
979
#!/bin/bash notify-send 'Done plotting!' 'This is an example notification.' --icon=dialog-information
makerslocal/localplot
hooks/finished/libnotify.sh
Shell
gpl-3.0
102
#!/bin/bash echo "Shinobi - Updating Ubuntu" #apt-get install ffmpeg apt-get update -y&&apt-get upgrade -y apt-get install wget -y echo "=============" echo "Shinobi - Get dependencies" apt install libav-tools ffmpeg -y echo "=============" echo "Shinobi - Installing MariaDB" echo "Password for root SQL user, If you ar...
cbrherms/Shinobi
INSTALL/ubuntu.sh
Shell
gpl-3.0
1,333
#!/usr/bin/env bash # GAZE # Turnkey Open Media Center # __ .-. # .-"` .`'. /\\| # _(\-/)_" , . ,\ /\\\/ =o O= # {(=o^O=)} . ./, |/\\\/ # `-.(Y).-` , | , |\.-` # /~/,_/~~~\,__.-` =O o= # ////~ // ~\\ # ==`==` ==` ==` # gaze.monokal.io ...
monokal/GAZE
wrapper.sh
Shell
gpl-3.0
1,315
#!/bin/bash # Copyright (C) 2017-2020 Volkan Gezer <volkangezer@gmail.com> # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any late...
vgezer/translationTools
kdeProjectCreator/ceviri_gonder.sh
Shell
gpl-3.0
1,529
#!/bin/sh # This script downloads mbox archives of the Pd lists and sets them up at # Apple Mail.app local mailboxes. # <hans@at.or.at> # which lists you want to download. The lists hosted on this server are: # gem-dev pd-announce pd-cvs pd-dev pd-list pd-ot pdweb LISTS="pd-announce pd-dev pd-list pd-ot pdweb" M...
rvega/morphasynth
vendors/pd-extended-0.43.4/scripts/download-pd-archives.sh
Shell
gpl-3.0
708
#!/bin/bash word=Linux letter_sequence=inu if echo "$word" | grep -q "$letter_sequence" then echo "$letter_sequence found in $word" else echo "$letter_sequence not found in $word" fi
auspbro/CodeSnippets
Shell/ABS_Guide/test3.sh
Shell
gpl-3.0
192
#!/bin/sh # # This file is protected by Copyright. Please refer to the COPYRIGHT file # distributed with this source distribution. # # This file is part of GNUHAWK. # # GNUHAWK is free software: you can redistribute it and/or modify is under the # terms of the GNU General Public License as published by the Free Sof...
RedhawkSDR/integration-gnuhawk
components/squash_ff/build.sh
Shell
gpl-3.0
1,536
#!/bin/bash set -e pegasus_lite_version_major="4" pegasus_lite_version_minor="7" pegasus_lite_version_patch="0" pegasus_lite_enforce_strict_wp_check="true" pegasus_lite_version_allow_wp_auto_download="true" . pegasus-lite-common.sh pegasus_lite_init # cleanup in case of failures trap pegasus_lite_signal_int INT trap...
elainenaomi/sciwonc-dataflow-examples
dissertation2017/Experiment 1B/logs/w-08-B/20170110T094728+0000/00/00/averageratioevent_0_ID0000012.sh
Shell
gpl-3.0
1,261
#!/bin/bash aws iam create-role --role-name SSMServiceRole --assume-role-policy-document file://SSMService-Trust.json #aws iam attach-role-policy --role-name SSMServiceRole --policy-arn arn:aws:iam::aws:policy/service-role/AmazonEC2RoleforSSM aws iam attach-role-policy --role-name SSMServiceRole --policy-arn arn:...
iceflow/aws-demo
ssm/hybrid/setup.sh
Shell
gpl-3.0
1,077
#!/bin/bash echo "# ===========================================================================" echo "# " echo "# W P U b u n t u 1 2 . 0 4 - A d d" echo "# " echo "# ===========================================================================" echo "# Add feature:" echo "# + Creates new domain...
WPUbuntu/WPU
sh/add.sh
Shell
gpl-3.0
703
#!/usr/bin/env bash if [[ $1 == "production" ]]; then echo "Production release..." else echo "Development release..." fi if [[ $# -eq 0 ]]; then git describe --abbrev=0 > wsgi/bmrbapi/version.txt if ! sudo docker build -t webapi .; then echo "Docker build failed." exit 2 fi fi echo "Deploying d...
uwbmrb/BMRB-API
server/release.sh
Shell
gpl-3.0
1,932
#!/bin/bash # Invoke the Forever module (to STOP our Node.js server). forever stop Server.js
dkelley/beermenu
server/stop.sh
Shell
gpl-3.0
95
#!/bin/bash export COMMAND="consul-template -config /app/consul/nginx.conf" service nginx restart rm -rf /etc/nginx/conf.d/* echo -n "Waiting for initial config " until $COMMAND -once; do echo -n "." sleep 3 done echo " done" while true; do $COMMAND sleep 1 done
one-love/docker-nginx
bin/run.sh
Shell
gpl-3.0
282
#!/bin/sh export GR_DONT_LOAD_PREFS=1 export srcdir=/home/aviral/GNU-Niyantran/gr36/gr-filter/python export PATH=/home/aviral/GNU-Niyantran/build/gr36/gr-filter/python:$PATH export LD_LIBRARY_PATH=/home/aviral/GNU-Niyantran/build/lib:/home/aviral/GNU-Niyantran/build/PMC/lib:/home/aviral/GNU-Niyantran/build/gr36/volk/li...
aviralchandra/Sandhi
build/gr36/gr-filter/python/qa_rational_resampler_test.sh
Shell
gpl-3.0
1,300